import request from '@/utils/request'

export function queryMaterialListByParam(query) {
  return request({
    url: '/quote/materialList',
    method: 'post',
    params: query
  })
}

export function queryRedBCostByParams (query) {
  return request({
    url: '/quote/redBCost',
    method: 'post',
    data: query
  })
}

export function queryRedBPriceByParams (query) {
  return request({
    url: '/quote/redBPrice',
    method: 'post',
    data: query
  })
}

export function queryRedBookVer () {
  return request({
    url: '/quote/redBookVer',
    method: 'post',
  })
}

export function queryRedBookLocalVer () {
  return request({
    url: '/quote/redBookLocalVer',
    method: 'post',
  })
}
